osgTerrain::ContourLayer Class Reference

`#include <Layer>`

Inheritance diagram for osgTerrain::ContourLayer:

## Public Member Functions

| ContourLayer (osg::TransferFunction1D *tf=0)
| ContourLayer (const ContourLayer &tfLayer, const osg::CopyOp &copyop=osg::CopyOp::SHALLOW_COPY)
| META_Object (osgTerrain, ContourLayer)
virtual bool | transform (float offset, float scale)
void | setTransferFunction (osg::TransferFunction1D *tf)
template<class T>
void | setTransferFunction (const osg::ref_ptr< T > &tf)
osg::TransferFunction1D * | getTransferFunction ()
const osg::TransferFunction1D * | getTransferFunction () const
virtual osg::Image * | getImage ()
virtual const osg::Image * | getImage () const
virtual unsigned int | getNumColumns () const
virtual unsigned int | getNumRows () const
virtual bool | getValue (unsigned int i, unsigned int j, float &value) const
virtual bool | getValue (unsigned int i, unsigned int j, osg::Vec2 &value) const
virtual bool | getValue (unsigned int i, unsigned int j, osg::Vec3 &value) const
virtual bool | getValue (unsigned int i, unsigned int j, osg::Vec4 &value) const
virtual void | dirty ()
virtual void | setModifiedCount (unsigned int value)
virtual unsigned int | getModifiedCount () const
Public Member Functions inherited from osgTerrain::Layer
| Layer ()
| Layer (const Layer &, const osg::CopyOp &copyop=osg::CopyOp::SHALLOW_COPY)
| META_Object (osgTerrain, Layer)
void | setSetName (const std::string &setname)
const std::string & | getSetName () const
virtual void | setFileName (const std::string &filename)
virtual const std::string & | getFileName () const
std::string | getCompoundName () const
void | setLocator (Locator *locator)
template<class T>
void | setLocator (const osg::ref_ptr< T > &locator)
Locator * | getLocator ()
const Locator * | getLocator () const
void | setMinLevel (unsigned int minLevel)
unsigned int | getMinLevel () const
void | setMaxLevel (unsigned int maxLevel)
unsigned int | getMaxLevel () const
void | setValidDataOperator (ValidDataOperator *validDataOp)
ValidDataOperator * | getValidDataOperator ()
const ValidDataOperator * | getValidDataOperator () const
void | setDefaultValue (const osg::Vec4 &value)
const osg::Vec4 & | getDefaultValue () const
void | setMinFilter (osg::Texture::FilterMode filter)
osg::Texture::FilterMode | getMinFilter () const
void | setMagFilter (osg::Texture::FilterMode filter)
osg::Texture::FilterMode | getMagFilter () const
bool | getValidValue (unsigned int i, unsigned int j, float &value) const
bool | getValidValue (unsigned int i, unsigned int j, osg::Vec2 &value) const
bool | getValidValue (unsigned int i, unsigned int j, osg::Vec3 &value) const
bool | getValidValue (unsigned int i, unsigned int j, osg::Vec4 &value) const
void | computeIndices (double ndc_x, double ndc_y, unsigned int &i, unsigned int &j, double &ir, double &jr) const
bool | getInterpolatedValue (double ndc_x, double ndc_y, float &value) const
bool | getInterpolatedValidValue (double ndc_x, double ndc_y, float &value) const
virtual osg::BoundingSphere | computeBound (bool treatAsElevationLayer) const
Public Member Functions inherited from osg::Object
| Object ()
| Object (bool threadSafeRefUnref)
| Object (const Object &, const CopyOp &copyop=CopyOp::SHALLOW_COPY)
virtual Object * | cloneType () const =0
virtual Object * | clone (const CopyOp &) const =0
virtual bool | isSameKindAs (const Object *) const
virtual const char * | libraryName () const =0
virtual const char * | className () const =0
std::string | getCompoundClassName () const
virtual Node * | asNode ()
virtual const Node * | asNode () const
virtual NodeVisitor * | asNodeVisitor ()
virtual const NodeVisitor * | asNodeVisitor () const
virtual StateSet * | asStateSet ()
virtual const StateSet * | asStateSet () const
virtual StateAttribute * | asStateAttribute ()
virtual const StateAttribute * | asStateAttribute () const
virtual Uniform * | asUniform ()
virtual const Uniform * | asUniform () const
virtual Camera * | asCamera ()
virtual const Camera * | asCamera () const
virtual Drawable * | asDrawable ()
virtual const Drawable * | asDrawable () const
virtual Callback * | asCallback ()
virtual const Callback * | asCallback () const
virtual CallbackObject * | asCallbackObject ()
virtual const CallbackObject * | asCallbackObject () const
virtual UserDataContainer * | asUserDataContainer ()
virtual const UserDataContainer * | asUserDataContainer () const
virtual ValueObject * | asValueObject ()
virtual const ValueObject * | asValueObject () const
virtual Image * | asImage ()
virtual const Image * | asImage () const
virtual void | setThreadSafeRefUnref (bool threadSafe)
virtual void | setName (const std::string &name)
void | setName (const char *name)
const std::string & | getName () const
void | setDataVariance (DataVariance dv)
DataVariance | getDataVariance () const
virtual void | computeDataVariance ()
void | setUserDataContainer (osg::UserDataContainer *udc)
template<class T>
void | setUserDataContainer (const ref_ptr< T > &udc)
osg::UserDataContainer * | getUserDataContainer ()
const osg::UserDataContainer * | getUserDataContainer () const
osg::UserDataContainer * | getOrCreateUserDataContainer ()
virtual void | setUserData (Referenced *obj)
template<class T>
void | setUserData (const ref_ptr< T > &ud)
virtual Referenced * | getUserData ()
virtual const Referenced * | getUserData () const
template<typename T>
bool | getUserValue (const std::string &name, T &value) const
template<typename T>
void | setUserValue (const std::string &name, const T &value)
virtual void | resizeGLObjectBuffers (unsigned int)
virtual void | releaseGLObjects (osg::State *=0) const
template<typename T>
BoolValueObject UCharValueObject UShortValueObject UIntValueObject DoubleValueObject Vec3fValueObject Vec2dValueObject Vec4dValueObject PlaneValueObject MatrixdValueObject BoundingBoxdValueObject BoundingSpheredValueObject bool | getUserValue (const std::string &name, T &value) const
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Protected Member Functions

virtual | ~ContourLayer ()
Protected Member Functions inherited from osgTerrain::Layer
virtual | ~Layer ()
Protected Member Functions inherited from osg::Object
virtual | ~Object ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const

## Protected Attributes

osg::ref_ptr< osg::TransferFunction1D > | _tf
Protected Attributes inherited from osgTerrain::Layer
std::string | _filename
osg::ref_ptr< Locator > | _locator
unsigned int | _minLevel
unsigned int | _maxLevel
osg::ref_ptr< ValidDataOperator > | _validDataOperator
osg::Vec4 | _defaultValue
osg::Texture::FilterMode | _minFilter
osg::Texture::FilterMode | _magFilter
Protected Attributes inherited from osg::Object
std::string | _name
DataVariance | _dataVariance
osg::UserDataContainer * | _userDataContainer
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Additional Inherited Members

Public Types inherited from osg::Object
enum | DataVariance { DYNAMIC , STATIC , UNSPECIFIED }
Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()

## Constructor & Destructor Documentation

## ContourLayer() [1/2]

osgTerrain::ContourLayer::ContourLayer | ( | osg::TransferFunction1D * | tf = 0 | ) |

Referenced by ContourLayer(), and META_Object().

## ContourLayer() [2/2]

osgTerrain::ContourLayer::ContourLayer | ( | const ContourLayer & | tfLayer,
|  | const osg::CopyOp & | copyop = osg::CopyOp::SHALLOW_COPY )

Copy constructor using CopyOp to manage deep vs shallow copy.

References ContourLayer(), and osg::CopyOp::SHALLOW_COPY.

## ~ContourLayer()

virtual osgTerrain::ContourLayer::~ContourLayer | ( |  | ) |

inline protected virtual

## Member Function Documentation

## dirty()

virtual void osgTerrain::ContourLayer::dirty | ( |  | ) |

virtual

increment the modified count."

Reimplemented from osgTerrain::Layer.

## getImage() [1/2]

virtual osg::Image * osgTerrain::ContourLayer::getImage | ( |  | ) |

inline virtual

Return image associated with layer.

Reimplemented from osgTerrain::Layer.

References _tf.

## getImage() [2/2]

virtual const osg::Image * osgTerrain::ContourLayer::getImage | ( |  | ) | const

inline virtual

Return const image associated with layer.

Reimplemented from osgTerrain::Layer.

References _tf.

## getModifiedCount()

virtual unsigned int osgTerrain::ContourLayer::getModifiedCount | ( |  | ) | const

virtual

Get modified count value.

Reimplemented from osgTerrain::Layer.

## getNumColumns()

virtual unsigned int osgTerrain::ContourLayer::getNumColumns | ( |  | ) | const

inline virtual

Get the number of columns.

Reimplemented from osgTerrain::Layer.

References _tf.

## getNumRows()

virtual unsigned int osgTerrain::ContourLayer::getNumRows | ( |  | ) | const

inline virtual

Get the number of rows.

Reimplemented from osgTerrain::Layer.

References _tf.

## getTransferFunction() [1/2]

osg::TransferFunction1D * osgTerrain::ContourLayer::getTransferFunction | ( |  | ) |

inline

References _tf.

## getTransferFunction() [2/2]

const osg::TransferFunction1D * osgTerrain::ContourLayer::getTransferFunction | ( |  | ) | const

inline

References _tf.

## getValue() [1/4]

virtual bool osgTerrain::ContourLayer::getValue | ( | unsigned int | ,
|  | unsigned int | ,
|  | float & | ) const

virtual

Get the layer value at position i,j. param i X-axis (or column) index. param j Y-axis (or row) index. param value Returned layer value.

Returns
  true if value is valid, else false

Reimplemented from osgTerrain::Layer.

## getValue() [2/4]

virtual bool osgTerrain::ContourLayer::getValue | ( | unsigned int | i,
|  | unsigned int | j,
|  | osg::Vec2 & | value ) const

virtual

Reimplemented from osgTerrain::Layer.

## getValue() [3/4]

virtual bool osgTerrain::ContourLayer::getValue | ( | unsigned int | i,
|  | unsigned int | j,
|  | osg::Vec3 & | value ) const

virtual

Reimplemented from osgTerrain::Layer.

## getValue() [4/4]

virtual bool osgTerrain::ContourLayer::getValue | ( | unsigned int | i,
|  | unsigned int | j,
|  | osg::Vec4 & | value ) const

virtual

Reimplemented from osgTerrain::Layer.

## META_Object()

osgTerrain::ContourLayer::META_Object | ( | osgTerrain | ,
|  | ContourLayer | )

References ContourLayer().

## setModifiedCount()

virtual void osgTerrain::ContourLayer::setModifiedCount | ( | unsigned int |  | ) |

virtual

Set the modified count value.

Reimplemented from osgTerrain::Layer.

## setTransferFunction() [1/2]

template<class T>

void osgTerrain::ContourLayer::setTransferFunction | ( | const osg::ref_ptr< T > & | tf | ) |

inline

References osg::ref_ptr< T >::get(), and setTransferFunction().

Referenced by setTransferFunction().

## setTransferFunction() [2/2]

void osgTerrain::ContourLayer::setTransferFunction | ( | osg::TransferFunction1D * | tf | ) |

## transform()

virtual bool osgTerrain::ContourLayer::transform | ( | float | offset,
|  | float | scale )

virtual

Reimplemented from osgTerrain::Layer.

## Member Data Documentation

## _tf

osg::ref_ptr<osg::TransferFunction1D> osgTerrain::ContourLayer::_tf

protected

Referenced by getImage(), getImage(), getNumColumns(), getNumRows(), getTransferFunction(), and getTransferFunction().

The documentation for this class was generated from the following file:

- osgTerrain/Layer